version: '3.8'

services:
  service-log:
    image: log-service:latest
    build:
      context: .
      dockerfile: DockerfileLogService
    ports:
      - "8081:8081"
    networks:
      - spring-network
    environment:
      - SPRING_PROFILES_ACTIVE=compose

  service-shuffle:
    image: service-shuffle:latest
    build:
      context: .
      dockerfile: DockerfileShuffleService
    ports:
      - "8080:8080"
    networks:
      - spring-network
    environment:
      - SPRING_PROFILES_ACTIVE=compose
    depends_on:
      - service-log

networks:
  spring-network:
    driver: bridge
